public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyter-server-ydoc/
Date: Tue,  7 Mar 2023 07:08:54 +0000 (UTC)	[thread overview]
Message-ID: <1678172805.71a194bf265220a1005f1922452649760c091e89.mgorny@gentoo> (raw)

commit:     71a194bf265220a1005f1922452649760c091e89
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  7 06:27:11 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar  7 07:06:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71a194bf

dev-python/jupyter-server-ydoc: Bump to 0.8.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jupyter-server-ydoc/Manifest            |  1 +
 .../jupyter-server-ydoc-0.8.0.ebuild               | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/jupyter-server-ydoc/Manifest b/dev-python/jupyter-server-ydoc/Manifest
index 1fa4299ea975..1f1734d31d02 100644
--- a/dev-python/jupyter-server-ydoc/Manifest
+++ b/dev-python/jupyter-server-ydoc/Manifest
@@ -1,2 +1,3 @@
 DIST jupyter_server_ydoc-0.6.1.tar.gz 25122 BLAKE2B c8543bc620ff8cefa5b7f1f1bd3d889301a96997607122184cf514ab6d02c50cada7c81844c6d4d2919caaaea9de8a4b5863c024b151d45b1450f1b6c351ccdf SHA512 7c0c79de866d6a794f24ac7dbbfaecaf2a0d447c9f81690d2de82bf86372337669389397672d737b441f37b34364fee16df0bb680d23980f7da931d13c3a0c85
 DIST jupyter_server_ydoc-0.7.0.tar.gz 25422 BLAKE2B d67a59c5ce17a1af4f88bdef07ae95b876d4c34dad0528d6b7aead3650f7178d42d4fd64956df89157242077fa87063f585ae8539688978b836a62000179eebd SHA512 38d3397533a00e1f5f414bb3567dd660bf7b732d8d6fb0beaa6ccec85c4ed0cf8022c4ba3fdb68a38482ee13f0c9f0f8d193a8317f8e3e1cea685601aa210cc9
+DIST jupyter_server_ydoc-0.8.0.tar.gz 25769 BLAKE2B 72f9082b4c459474910e795ab94da0482f073923f89610a1ecea2663ecc94adec3979bd353bba45388a31ca1bf5918e061a7b660f37cefa34a4e09217c2e9443 SHA512 a09b099257943e30187c9b66d53a922b4b197f62af648d7177abca2c60f0538f4ef8a6dc330b2019f79848b0c8bd93645b8cf9eb657334282f4317cee93ab571

diff --git a/dev-python/jupyter-server-ydoc/jupyter-server-ydoc-0.8.0.ebuild b/dev-python/jupyter-server-ydoc/jupyter-server-ydoc-0.8.0.ebuild
new file mode 100644
index 000000000000..b38fa54ab6da
--- /dev/null
+++ b/dev-python/jupyter-server-ydoc/jupyter-server-ydoc-0.8.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Jupyter Server Extension Providing Y Documents"
+HOMEPAGE="
+	https://jupyter.org/
+	https://github.com/jupyter-server/jupyter_server_ydoc/
+	https://pypi.org/project/jupyter-server-ydoc/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/jupyter_ydoc[${PYTHON_USEDEP}]
+	dev-python/ypy-websocket[${PYTHON_USEDEP}]
+	dev-python/jupyter-server-fileid[${PYTHON_USEDEP}]
+
+"
+BDEPEND="
+	test? (
+		dev-python/pytest_jupyter[${PYTHON_USEDEP}]
+		dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+	distutils-r1_python_install_all
+	mv "${ED}/usr/etc" "${ED}/etc" || die
+}


             reply	other threads:[~2023-03-07  7:09 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-07  7:08 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-04-08  6:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/jupyter-server-ydoc/ Michał Górny
2023-04-08  8:47 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1678172805.71a194bf265220a1005f1922452649760c091e89.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox